APIShardX Launcher APIFingerprints

Fingerprints

生成新指纹(主机 OS)

GEThttp://127.0.0.1:40325/fingerprint/new

返回主机操作系统完全唯一化的指纹,不保存。 等价于以主机平台调用 /fingerprint/new/{platform}。

Authorizations
bearerAuth
Authorizationstringrequired

来自 Settings → Automation API 的永久 JWT。

Responses
200唯一化的未保存指纹。application/json
fingerprintobject · Fingerprintrequired

原生 FingerprintConfig。记录的子对象为最常见的; 该对象是开放的,创建端点会原样保存, 因此此处的任何字段都会原封不动地传递。

Show propertiesHide properties
namestringoptional
notesstringoptional
seedintegeroptional

0 = 仅覆盖模式(典型情况)。

navigatorobjectoptional
Show propertiesHide properties
user_agentstringoptional
platformstringoptional
hardware_concurrencyintegeroptional
device_memoryinteger · enumoptional
Possible values:81632
languagestringoptional
do_not_trackbooleanoptional
screenobjectoptional
Show propertiesHide properties
widthintegeroptional
heightintegeroptional
avail_widthintegeroptional
avail_heightintegeroptional
color_depthintegeroptional
device_pixel_rationumberoptional
color_gamutstring · enumoptional
Possible values:srgbp3rec2020
refresh_rateinteger· min: 24· max: 480optional

所声明的显示刷新频率。缺席意味着 60。请参阅创建/编辑请求上的刷新率字段。

client_hintsobjectoptional

Sec-CH-UA 系列(在 browser.vision 中称为 hints)。

Show propertiesHide properties
platformstringoptional
platform_versionstringoptional
architecturestringoptional
bitnessstringoptional
mobilebooleanoptional
webglobjectoptional
Show propertiesHide properties
unmasked_vendorstringoptional
unmasked_rendererstringoptional
webgpuobjectoptional
webrtcstring · enumoptional

WebRTC 处理模式。

Possible values:autotcp_onlyblock
noiseobject · NoisePrefsoptional

各向量的反指纹噪音配置。每个块:{enabled, seed} (+ 特定参数)。enabled:false = 直接透传。

Show propertiesHide properties
canvasobject · NoiseBlockoptional
Show propertiesHide properties
enabledbooleanoptional
seedintegeroptional

每个配置文件的熵值;0 = 自动计算。

webglobject · NoiseBlockoptional
Show propertiesHide properties
enabledbooleanoptional
seedintegeroptional

每个配置文件的熵值;0 = 自动计算。

intensitynumberoptional
audioobject · NoiseBlockoptional
Show propertiesHide properties
enabledbooleanoptional
seedintegeroptional

每个配置文件的熵值;0 = 自动计算。

intensitynumberoptional
client_rectsobject · NoiseBlockoptional
Show propertiesHide properties
enabledbooleanoptional
seedintegeroptional

每个配置文件的熵值;0 = 自动计算。

max_offsetnumberoptional
sensorsobject · NoiseBlockoptional
Show propertiesHide properties
enabledbooleanoptional
seedintegeroptional

每个配置文件的熵值;0 = 自动计算。

fontsobject · NoiseBlockoptional

enabled:true 为每个配置文件隐藏少量确定性的 非关键字体子集(其余真实主机字体直接透传)。

Show propertiesHide properties
enabledbooleanoptional
seedintegeroptional

每个配置文件的熵值;0 = 自动计算。

networkobjectoptional
Show propertiesHide properties
blocked_portsinteger[]optional

局域网端口扫描防护(ports_protection)。

timezonestringoptional

IANA 名称或 "auto"; 将在启动时通过绑定代理解析。

401缺失或无效的 Bearer 令牌。
404指纹库为空。application/json
errorstringrequired
GET/fingerprint/new
GET /fingerprint/new HTTP/1.1
Host: 127.0.0.1:40325
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
curl -X GET 'http://127.0.0.1:40325/fingerprint/new' \
  -H 'Authorization: Bearer YOUR_SECRET_TOKEN'
import requests

# 来自 Settings → Automation API 的永久 JWT。
token = "YOUR_SECRET_TOKEN"

url = "http://127.0.0.1:40325/fingerprint/new"
headers = {
    "Authorization": f"Bearer {token}",
}

response = requests.get(url, headers=headers, timeout=30)
response.raise_for_status()
print(response.status_code)
print(response.text)
// 来自 Settings → Automation API 的永久 JWT。
const token = "YOUR_SECRET_TOKEN";

const url = "http://127.0.0.1:40325/fingerprint/new";

const response = await fetch(url, {
  method: "GET",
  headers: {
    "Authorization": `Bearer ${token}`,
  },
});

console.log(response.status);
console.log(await response.text());
package main

import (
	"fmt"
	"io"
	"log"
	"net/http"
)

func main() {
	// 来自 Settings → Automation API 的永久 JWT。
	token := "YOUR_SECRET_TOKEN"

	url := "http://127.0.0.1:40325/fingerprint/new"

	req, err := http.NewRequest("GET", url, nil)
	if err != nil {
		log.Fatal(err)
	}
	req.Header.Set("Authorization", "Bearer "+token)

	resp, err := http.DefaultClient.Do(req)
	if err != nil {
		log.Fatal(err)
	}
	defer resp.Body.Close()

	out, err := io.ReadAll(resp.Body)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Println(resp.Status)
	fmt.Println(string(out))
}
// Cargo.toml: reqwest = { version = "0.12", features = ["json"] }, tokio = { version = "1", features = ["full"] }

#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    // 来自 Settings → Automation API 的永久 JWT。
    let token = "YOUR_SECRET_TOKEN";

    let client = reqwest::Client::new();
    let response = client
        .get("http://127.0.0.1:40325/fingerprint/new")
        .header("Authorization", format!("Bearer {token}"))
        .send()
        .await?;

    println!("{}", response.status());
    println!("{}", response.text().await?);
    Ok(())
}
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Threading.Tasks;

class Program
{
    static async Task Main()
    {
        // 来自 Settings → Automation API 的永久 JWT。
        var token = "YOUR_SECRET_TOKEN";

        using var client = new HttpClient();
        client.DefaultRequestHeaders.Authorization = new AuthenticationHeaderValue("Bearer", token);

        var request = new HttpRequestMessage(HttpMethod.Get, "http://127.0.0.1:40325/fingerprint/new");

        var response = await client.SendAsync(request);
        Console.WriteLine((int)response.StatusCode);
        Console.WriteLine(await response.Content.ReadAsStringAsync());
    }
}
// build: c++ -std=c++17 main.cpp -lcurl
#include <curl/curl.h>

#include <iostream>
#include <string>

static size_t write_cb(char *ptr, size_t size, size_t nmemb, void *userdata) {
    static_cast<std::string *>(userdata)->append(ptr, size * nmemb);
    return size * nmemb;
}

int main() {
    // 来自 Settings → Automation API 的永久 JWT。
    const std::string token = "YOUR_SECRET_TOKEN";

    curl_global_init(CURL_GLOBAL_DEFAULT);
    CURL *curl = curl_easy_init();
    if (!curl) {
        std::cerr << "curl_easy_init failed\n";
        curl_global_cleanup();
        return 1;
    }

    struct curl_slist *headers = nullptr;
    headers = curl_slist_append(headers, ("Authorization: Bearer " + token).c_str());

    std::string response;
    curl_easy_setopt(curl, CURLOPT_URL, "http://127.0.0.1:40325/fingerprint/new");
    curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
    curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, write_cb);
    curl_easy_setopt(curl, CURLOPT_WRITEDATA, &response);

    const CURLcode rc = curl_easy_perform(curl);
    if (rc != CURLE_OK) {
        std::cerr << curl_easy_strerror(rc) << "\n";
    } else {
        long status = 0;
        curl_easy_getinfo(curl, CURLINFO_RESPONSE_CODE, &status);
        std::cout << status << "\n" << response << "\n";
    }

    curl_slist_free_all(headers);
    curl_easy_cleanup(curl);
    curl_global_cleanup();
    return rc == CURLE_OK ? 0 : 1;
}
{
  "fingerprint": {
    "name": "text",
    "notes": "text",
    "seed": 1,
    "navigator": {
      "user_agent": "text",
      "platform": "Win32",
      "hardware_concurrency": 12,
      "device_memory": 16,
      "language": "text",
      "do_not_track": true
    },
    "screen": {
      "width": 1,
      "height": 1,
      "avail_width": 1,
      "avail_height": 1,
      "color_depth": 24,
      "device_pixel_ratio": 2,
      "color_gamut": "",
      "refresh_rate": 60
    },
    "client_hints": {
      "platform": "text",
      "platform_version": "text",
      "architecture": "x86",
      "bitness": "64",
      "mobile": true
    },
    "webgl": {
      "unmasked_vendor": "text",
      "unmasked_renderer": "text"
    },
    "webgpu": {},
    "webrtc": "auto",
    "noise": {
      "canvas": {
        "enabled": true,
        "seed": 1
      },
      "webgl": {
        "enabled": true,
        "seed": 1,
        "intensity": 1
      },
      "audio": {
        "enabled": true,
        "seed": 1,
        "intensity": 1
      },
      "client_rects": {
        "enabled": true,
        "seed": 1,
        "max_offset": 1
      },
      "sensors": {
        "enabled": true,
        "seed": 1
      },
      "fonts": {
        "enabled": true,
        "seed": 1
      }
    },
    "network": {
      "blocked_ports": [
        1
      ]
    },
    "timezone": "text"
  }
}
{
  "error": "text"
}

为指定平台生成新指纹

GEThttp://127.0.0.1:40325/fingerprint/new/{platform}

从库中随机选取与 platform 匹配的指纹,然后进行唯一化: 生成新的 platform_version(用于 Sec-CH-UA), hardware_concurrency/device_memory 受主机限制(不超过真实值), 屏幕裁剪至真实显示器尺寸。 返回时不保存; 请作为 fingerprint 传入创建端点。

Authorizations
bearerAuth
Authorizationstringrequired

来自 Settings → Automation API 的永久 JWT。

Path parameters
platformstring · enumrequired

不区分大小写;接受别名 win/osx/darwin。

Possible values:WindowsmacOSLinux
Responses
200唯一化的未保存指纹。application/json
fingerprintobject · Fingerprintrequired

原生 FingerprintConfig。记录的子对象为最常见的; 该对象是开放的,创建端点会原样保存, 因此此处的任何字段都会原封不动地传递。

Show propertiesHide properties
namestringoptional
notesstringoptional
seedintegeroptional

0 = 仅覆盖模式(典型情况)。

navigatorobjectoptional
Show propertiesHide properties
user_agentstringoptional
platformstringoptional
hardware_concurrencyintegeroptional
device_memoryinteger · enumoptional
Possible values:81632
languagestringoptional
do_not_trackbooleanoptional
screenobjectoptional
Show propertiesHide properties
widthintegeroptional
heightintegeroptional
avail_widthintegeroptional
avail_heightintegeroptional
color_depthintegeroptional
device_pixel_rationumberoptional
color_gamutstring · enumoptional
Possible values:srgbp3rec2020
refresh_rateinteger· min: 24· max: 480optional

所声明的显示刷新频率。缺席意味着 60。请参阅创建/编辑请求上的刷新率字段。

client_hintsobjectoptional

Sec-CH-UA 系列(在 browser.vision 中称为 hints)。

Show propertiesHide properties
platformstringoptional
platform_versionstringoptional
architecturestringoptional
bitnessstringoptional
mobilebooleanoptional
webglobjectoptional
Show propertiesHide properties
unmasked_vendorstringoptional
unmasked_rendererstringoptional
webgpuobjectoptional
webrtcstring · enumoptional

WebRTC 处理模式。

Possible values:autotcp_onlyblock
noiseobject · NoisePrefsoptional

各向量的反指纹噪音配置。每个块:{enabled, seed} (+ 特定参数)。enabled:false = 直接透传。

Show propertiesHide properties
canvasobject · NoiseBlockoptional
Show propertiesHide properties
enabledbooleanoptional
seedintegeroptional

每个配置文件的熵值;0 = 自动计算。

webglobject · NoiseBlockoptional
Show propertiesHide properties
enabledbooleanoptional
seedintegeroptional

每个配置文件的熵值;0 = 自动计算。

intensitynumberoptional
audioobject · NoiseBlockoptional
Show propertiesHide properties
enabledbooleanoptional
seedintegeroptional

每个配置文件的熵值;0 = 自动计算。

intensitynumberoptional
client_rectsobject · NoiseBlockoptional
Show propertiesHide properties
enabledbooleanoptional
seedintegeroptional

每个配置文件的熵值;0 = 自动计算。

max_offsetnumberoptional
sensorsobject · NoiseBlockoptional
Show propertiesHide properties
enabledbooleanoptional
seedintegeroptional

每个配置文件的熵值;0 = 自动计算。

fontsobject · NoiseBlockoptional

enabled:true 为每个配置文件隐藏少量确定性的 非关键字体子集(其余真实主机字体直接透传)。

Show propertiesHide properties
enabledbooleanoptional
seedintegeroptional

每个配置文件的熵值;0 = 自动计算。

networkobjectoptional
Show propertiesHide properties
blocked_portsinteger[]optional

局域网端口扫描防护(ports_protection)。

timezonestringoptional

IANA 名称或 "auto"; 将在启动时通过绑定代理解析。

401缺失或无效的 Bearer 令牌。
404未找到匹配指纹或库为空。application/json
errorstringrequired
GET/fingerprint/new/Windows
GET /fingerprint/new/Windows HTTP/1.1
Host: 127.0.0.1:40325
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
curl -X GET 'http://127.0.0.1:40325/fingerprint/new/Windows' \
  -H 'Authorization: Bearer YOUR_SECRET_TOKEN'
import requests

# 来自 Settings → Automation API 的永久 JWT。
token = "YOUR_SECRET_TOKEN"

url = "http://127.0.0.1:40325/fingerprint/new/Windows"
headers = {
    "Authorization": f"Bearer {token}",
}

response = requests.get(url, headers=headers, timeout=30)
response.raise_for_status()
print(response.status_code)
print(response.text)
// 来自 Settings → Automation API 的永久 JWT。
const token = "YOUR_SECRET_TOKEN";

const url = "http://127.0.0.1:40325/fingerprint/new/Windows";

const response = await fetch(url, {
  method: "GET",
  headers: {
    "Authorization": `Bearer ${token}`,
  },
});

console.log(response.status);
console.log(await response.text());
package main

import (
	"fmt"
	"io"
	"log"
	"net/http"
)

func main() {
	// 来自 Settings → Automation API 的永久 JWT。
	token := "YOUR_SECRET_TOKEN"

	url := "http://127.0.0.1:40325/fingerprint/new/Windows"

	req, err := http.NewRequest("GET", url, nil)
	if err != nil {
		log.Fatal(err)
	}
	req.Header.Set("Authorization", "Bearer "+token)

	resp, err := http.DefaultClient.Do(req)
	if err != nil {
		log.Fatal(err)
	}
	defer resp.Body.Close()

	out, err := io.ReadAll(resp.Body)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Println(resp.Status)
	fmt.Println(string(out))
}
// Cargo.toml: reqwest = { version = "0.12", features = ["json"] }, tokio = { version = "1", features = ["full"] }

#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    // 来自 Settings → Automation API 的永久 JWT。
    let token = "YOUR_SECRET_TOKEN";

    let client = reqwest::Client::new();
    let response = client
        .get("http://127.0.0.1:40325/fingerprint/new/Windows")
        .header("Authorization", format!("Bearer {token}"))
        .send()
        .await?;

    println!("{}", response.status());
    println!("{}", response.text().await?);
    Ok(())
}
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Threading.Tasks;

class Program
{
    static async Task Main()
    {
        // 来自 Settings → Automation API 的永久 JWT。
        var token = "YOUR_SECRET_TOKEN";

        using var client = new HttpClient();
        client.DefaultRequestHeaders.Authorization = new AuthenticationHeaderValue("Bearer", token);

        var request = new HttpRequestMessage(HttpMethod.Get, "http://127.0.0.1:40325/fingerprint/new/Windows");

        var response = await client.SendAsync(request);
        Console.WriteLine((int)response.StatusCode);
        Console.WriteLine(await response.Content.ReadAsStringAsync());
    }
}
// build: c++ -std=c++17 main.cpp -lcurl
#include <curl/curl.h>

#include <iostream>
#include <string>

static size_t write_cb(char *ptr, size_t size, size_t nmemb, void *userdata) {
    static_cast<std::string *>(userdata)->append(ptr, size * nmemb);
    return size * nmemb;
}

int main() {
    // 来自 Settings → Automation API 的永久 JWT。
    const std::string token = "YOUR_SECRET_TOKEN";

    curl_global_init(CURL_GLOBAL_DEFAULT);
    CURL *curl = curl_easy_init();
    if (!curl) {
        std::cerr << "curl_easy_init failed\n";
        curl_global_cleanup();
        return 1;
    }

    struct curl_slist *headers = nullptr;
    headers = curl_slist_append(headers, ("Authorization: Bearer " + token).c_str());

    std::string response;
    curl_easy_setopt(curl, CURLOPT_URL, "http://127.0.0.1:40325/fingerprint/new/Windows");
    curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
    curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, write_cb);
    curl_easy_setopt(curl, CURLOPT_WRITEDATA, &response);

    const CURLcode rc = curl_easy_perform(curl);
    if (rc != CURLE_OK) {
        std::cerr << curl_easy_strerror(rc) << "\n";
    } else {
        long status = 0;
        curl_easy_getinfo(curl, CURLINFO_RESPONSE_CODE, &status);
        std::cout << status << "\n" << response << "\n";
    }

    curl_slist_free_all(headers);
    curl_easy_cleanup(curl);
    curl_global_cleanup();
    return rc == CURLE_OK ? 0 : 1;
}
{
  "fingerprint": {
    "name": "text",
    "notes": "text",
    "seed": 1,
    "navigator": {
      "user_agent": "text",
      "platform": "Win32",
      "hardware_concurrency": 12,
      "device_memory": 16,
      "language": "text",
      "do_not_track": true
    },
    "screen": {
      "width": 1,
      "height": 1,
      "avail_width": 1,
      "avail_height": 1,
      "color_depth": 24,
      "device_pixel_ratio": 2,
      "color_gamut": "",
      "refresh_rate": 60
    },
    "client_hints": {
      "platform": "text",
      "platform_version": "text",
      "architecture": "x86",
      "bitness": "64",
      "mobile": true
    },
    "webgl": {
      "unmasked_vendor": "text",
      "unmasked_renderer": "text"
    },
    "webgpu": {},
    "webrtc": "auto",
    "noise": {
      "canvas": {
        "enabled": true,
        "seed": 1
      },
      "webgl": {
        "enabled": true,
        "seed": 1,
        "intensity": 1
      },
      "audio": {
        "enabled": true,
        "seed": 1,
        "intensity": 1
      },
      "client_rects": {
        "enabled": true,
        "seed": 1,
        "max_offset": 1
      },
      "sensors": {
        "enabled": true,
        "seed": 1
      },
      "fonts": {
        "enabled": true,
        "seed": 1
      }
    },
    "network": {
      "blocked_ports": [
        1
      ]
    },
    "timezone": "text"
  }
}
{
  "error": "text"
}

指纹库列表

GEThttp://127.0.0.1:40325/fingerprints

磁盘上的指纹库(GPU 预设),由启动器提供/导入。

Authorizations
bearerAuth
Authorizationstringrequired

来自 Settings → Automation API 的永久 JWT。

Responses
200库条目。application/json
idstringoptional
labelstringoptional
platformstring · enumoptional
Possible values:WindowsmacOSLinux
chromestringoptional

Chrome 版本字符串。

gpustringoptional
builtinbooleanoptional

包含在随附的起始集中。

401缺失或无效的 Bearer 令牌。
GET/fingerprints
GET /fingerprints HTTP/1.1
Host: 127.0.0.1:40325
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
curl -X GET 'http://127.0.0.1:40325/fingerprints' \
  -H 'Authorization: Bearer YOUR_SECRET_TOKEN'
import requests

# 来自 Settings → Automation API 的永久 JWT。
token = "YOUR_SECRET_TOKEN"

url = "http://127.0.0.1:40325/fingerprints"
headers = {
    "Authorization": f"Bearer {token}",
}

response = requests.get(url, headers=headers, timeout=30)
response.raise_for_status()
print(response.status_code)
print(response.text)
// 来自 Settings → Automation API 的永久 JWT。
const token = "YOUR_SECRET_TOKEN";

const url = "http://127.0.0.1:40325/fingerprints";

const response = await fetch(url, {
  method: "GET",
  headers: {
    "Authorization": `Bearer ${token}`,
  },
});

console.log(response.status);
console.log(await response.text());
package main

import (
	"fmt"
	"io"
	"log"
	"net/http"
)

func main() {
	// 来自 Settings → Automation API 的永久 JWT。
	token := "YOUR_SECRET_TOKEN"

	url := "http://127.0.0.1:40325/fingerprints"

	req, err := http.NewRequest("GET", url, nil)
	if err != nil {
		log.Fatal(err)
	}
	req.Header.Set("Authorization", "Bearer "+token)

	resp, err := http.DefaultClient.Do(req)
	if err != nil {
		log.Fatal(err)
	}
	defer resp.Body.Close()

	out, err := io.ReadAll(resp.Body)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Println(resp.Status)
	fmt.Println(string(out))
}
// Cargo.toml: reqwest = { version = "0.12", features = ["json"] }, tokio = { version = "1", features = ["full"] }

#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    // 来自 Settings → Automation API 的永久 JWT。
    let token = "YOUR_SECRET_TOKEN";

    let client = reqwest::Client::new();
    let response = client
        .get("http://127.0.0.1:40325/fingerprints")
        .header("Authorization", format!("Bearer {token}"))
        .send()
        .await?;

    println!("{}", response.status());
    println!("{}", response.text().await?);
    Ok(())
}
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Threading.Tasks;

class Program
{
    static async Task Main()
    {
        // 来自 Settings → Automation API 的永久 JWT。
        var token = "YOUR_SECRET_TOKEN";

        using var client = new HttpClient();
        client.DefaultRequestHeaders.Authorization = new AuthenticationHeaderValue("Bearer", token);

        var request = new HttpRequestMessage(HttpMethod.Get, "http://127.0.0.1:40325/fingerprints");

        var response = await client.SendAsync(request);
        Console.WriteLine((int)response.StatusCode);
        Console.WriteLine(await response.Content.ReadAsStringAsync());
    }
}
// build: c++ -std=c++17 main.cpp -lcurl
#include <curl/curl.h>

#include <iostream>
#include <string>

static size_t write_cb(char *ptr, size_t size, size_t nmemb, void *userdata) {
    static_cast<std::string *>(userdata)->append(ptr, size * nmemb);
    return size * nmemb;
}

int main() {
    // 来自 Settings → Automation API 的永久 JWT。
    const std::string token = "YOUR_SECRET_TOKEN";

    curl_global_init(CURL_GLOBAL_DEFAULT);
    CURL *curl = curl_easy_init();
    if (!curl) {
        std::cerr << "curl_easy_init failed\n";
        curl_global_cleanup();
        return 1;
    }

    struct curl_slist *headers = nullptr;
    headers = curl_slist_append(headers, ("Authorization: Bearer " + token).c_str());

    std::string response;
    curl_easy_setopt(curl, CURLOPT_URL, "http://127.0.0.1:40325/fingerprints");
    curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
    curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, write_cb);
    curl_easy_setopt(curl, CURLOPT_WRITEDATA, &response);

    const CURLcode rc = curl_easy_perform(curl);
    if (rc != CURLE_OK) {
        std::cerr << curl_easy_strerror(rc) << "\n";
    } else {
        long status = 0;
        curl_easy_getinfo(curl, CURLINFO_RESPONSE_CODE, &status);
        std::cout << status << "\n" << response << "\n";
    }

    curl_slist_free_all(headers);
    curl_easy_cleanup(curl);
    curl_global_cleanup();
    return rc == CURLE_OK ? 0 : 1;
}
200库条目。
[
  {
    "id": "text",
    "label": "text",
    "platform": "Windows",
    "chrome": "text",
    "gpu": "text",
    "builtin": true
  }
]

最后更新

本页内容